CognitiveX Docs
API

POST /api/auth/signup

Signup

POST /api/auth/signup

Signup

Authentication: Authorization: Bearer <key> or X-API-Key: <key>. Create keys at developers.cognitivx.io/keys.

Request body

A JSON request body is required.

FieldTypeRequiredDescription
emailstringYes-
passwordstringYes-
confirm_passwordstringYes-

Example request

curl -X POST https://api.cognitivx.io/api/auth/signup \
  -H "Authorization: Bearer icog_..." \
  -H "Content-Type: application/json" \
  -d '{
    "email": "[email protected]",
    "password": "string",
    "confirm_password": "string"
  }'

Example response

201 application/json

{
  "access_token": "icog_...",
  "token_type": "bearer",
  "user": {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "email": "[email protected]",
    "created_at": "2026-06-16T08:30:00Z",
    "email_verified": false,
    "display_name": "production",
    "avatar_url": "https://example.com"
  }
}

Responses

StatusDescription
201Created. The new resource is returned in the response body.
422Request validation failed. detail lists each offending field.